### Method

# Gimp Drawable has_alpha

#### Declaration [src]

    gboolean
    gimp_drawable_has_alpha (
      GimpDrawable* drawable
    )

#### Description [src]

Returns TRUE if the drawable has an alpha channel.

This procedure returns whether the specified drawable has an alpha channel. This can only be true for layers, and the associated type will be one of: { RGBA , GRAYA, INDEXEDA }.

#### Return value

Type: `gboolean`

Does the drawable have an alpha channel?